Bug 1809716 - [abrt] dc_validate_global_state: WARNING: CPU: 7 PID: 1988 at drivers/gpu/drm/amd/amdgpu/../display/dc/dcn20/dcn20_resource.c:2959 dcn20_validate_bandwidth+0x99/0xb0 [amdgpu] [amdgpu]
Summary: [abrt] dc_validate_global_state: WARNING: CPU: 7 PID: 1988 at drivers/gpu/drm...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 31
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:bce96bf0e641e568d0cb624f965...
: 1816871 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-03 18:07 UTC by Chris Baltzer
Modified: 2020-11-24 17:10 UTC (History)
20 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-24 17:10:03 UTC
Type: ---


Attachments (Terms of Use)
File: dmesg (117.78 KB, text/plain)
2020-03-03 18:07 UTC, Chris Baltzer
no flags Details

Description Chris Baltzer 2020-03-03 18:07:29 UTC
Description of problem:
Resume from suspend

Additional info:
reporter:       libreport-2.12.0
WARNING: CPU: 7 PID: 1988 at drivers/gpu/drm/amd/amdgpu/../display/dc/dcn20/dcn20_resource.c:2959 dcn20_validate_bandwidth+0x99/0xb0 [amdgpu]
Modules linked in: nct6775 hwmon_vid uinput ccm xt_CHECKSUM xt_MASQUERADE nf_nat_tftp nf_conntrack_tftp tun bridge stp llc nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_REJECT nf_reject_ipv6 ip6t_rpfilter ipt_REJECT nf_reject_ipv4 xt_conntrack ebtable_nat ebtable_broute ip6table_nat ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_nat iptable_mangle iptable_raw iptable_security nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 libcrc32c ip_set nfnetlink ebtable_filter ebtables ip6table_filter ip6_tables iptable_filter sunrpc vfat fat snd_hda_codec_realtek snd_hda_codec_generic edac_mce_amd ledtrig_audio snd_hda_codec_hdmi rt2800usb kvm_amd snd_hda_intel rt2x00usb snd_intel_dspcfg rt2800lib snd_hda_codec rt2x00lib kvm snd_usb_audio irqbypass mac80211 uvcvideo snd_usbmidi_lib snd_hda_core videobuf2_vmalloc videobuf2_memops snd_rawmidi videobuf2_v4l2 snd_hwdep videobuf2_common snd_seq cfg80211 snd_seq_device crct10dif_pclmul crc32_pclmul snd_pcm videodev
 eeepc_wmi asus_wmi snd_timer ghash_clmulni_intel sparse_keymap mc libarc4 video snd pcspkr wmi_bmof k10temp joydev sp5100_tco ccp i2c_piix4 soundcore acpi_cpufreq ip_tables rfkill amdgpu amd_iommu_v2 gpu_sched i2c_algo_bit ttm drm_kms_helper drm crc32c_intel nvme nvme_core r8169 wmi pinctrl_amd fuse [last unloaded: i2c_dev]
CPU: 7 PID: 1988 Comm: gnome-shell Not tainted 5.5.7-200.fc31.x86_64 #1
Hardware name: System manufacturer System Product Name/PRIME X570-P, BIOS 1005 08/02/2019
RIP: 0010:dcn20_validate_bandwidth+0x99/0xb0 [amdgpu]
Code: 00 00 00 5d 41 5c e9 f6 f5 ff ff 31 d2 f2 0f 11 85 70 21 00 00 48 89 ee 4c 89 e7 e8 e1 f5 ff ff 89 c2 22 95 b8 1d 00 00 75 04 <0f> 0b eb b3 c6 85 b8 1d 00 00 00 89 d0 eb a8 0f 1f 84 00 00 00 00
RSP: 0018:ffffaca5c07fbb00 EFLAGS: 00010246
RAX: 0000000000000001 RBX: 0000000000000000 RCX: 000000000000c161
RDX: 0000000000000000 RSI: ffff8c827ebf01a0 RDI: 00000000000301a0
RBP: ffff8c8269b30000 R08: 0000000000000006 R09: 0000000000000000
R10: ffff8c826a730000 R11: 0000000100000001 R12: ffff8c826a730000
R13: ffff8c8158896180 R14: 0000000000000000 R15: ffff8c8269b30000
FS:  00007f966997d200(0000) GS:ffff8c827ebc0000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00005632ba46d910 CR3: 00000007a0e36000 CR4: 0000000000340ee0
Call Trace:
 dc_validate_global_state+0x25f/0x2d0 [amdgpu]
 amdgpu_dm_atomic_check+0x5d0/0x830 [amdgpu]
 drm_atomic_check_only+0x554/0x7e0 [drm]
 drm_atomic_commit+0x13/0x50 [drm]
 drm_atomic_connector_commit_dpms+0xd7/0x100 [drm]
 drm_mode_obj_set_property_ioctl+0x159/0x2d0 [drm]
 ? drm_mode_obj_find_prop_id+0x40/0x40 [drm]
 drm_ioctl_kernel+0xaa/0xf0 [drm]
 drm_ioctl+0x208/0x390 [drm]
 ? drm_mode_obj_find_prop_id+0x40/0x40 [drm]
 ? __handle_mm_fault+0xc6c/0x15d0
 amdgpu_drm_ioctl+0x49/0x80 [amdgpu]
 do_vfs_ioctl+0x461/0x6d0
 ksys_ioctl+0x5e/0x90
 __x64_sys_ioctl+0x16/0x20
 do_syscall_64+0x5b/0x1c0
 entry_SYSCALL_64_after_hwframe+0x44/0xa9
RIP: 0033:0x7f966d64c38b
Code: 0f 1e fa 48 8b 05 fd 9a 0c 00 64 c7 00 26 00 00 00 48 c7 c0 ff ff ff ff c3 66 0f 1f 44 00 00 f3 0f 1e fa b8 10 00 00 00 0f 05 <48> 3d 01 f0 ff ff 73 01 c3 48 8b 0d cd 9a 0c 00 f7 d8 64 89 01 48
RSP: 002b:00007ffcfe0bf278 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
RAX: ffffffffffffffda RBX: 00007ffcfe0bf2b0 RCX: 00007f966d64c38b
RDX: 00007ffcfe0bf2b0 RSI: 00000000c01864ba RDI: 0000000000000009
RBP: 00000000c01864ba R08: 0000000000000003 R09: 00000000c0c0c0c0
R10: 0000000000000000 R11: 0000000000000246 R12: 00005632ba44e520
R13: 0000000000000009 R14: 0000000000000002 R15: 0000000000000003

Comment 1 Chris Baltzer 2020-03-03 18:07:35 UTC
Created attachment 1667281 [details]
File: dmesg

Comment 2 James Harmison 2020-03-24 22:54:11 UTC
*** Bug 1816871 has been marked as a duplicate of this bug. ***

Comment 3 Michael Mansell 2020-04-15 03:22:07 UTC
Description of problem:
This problem occured when my system went into power saving mode by blanking the screen in Gnome. 
This happens pretty consistently after letting the system go into said power saving mode, usually the system hard-locks and does not return from power saving mode.

Version-Release number of selected component:
kernel-core-5.5.15-200.fc31

Additional info:
reporter:       libreport-2.12.0
cmdline:        BOOT_IMAGE=(hd1,gpt2)/vmlinuz-5.5.15-200.fc31.x86_64 root=UUID=46499d50-9217-4512-bfd1-4540ee1d536b ro resume=UUID=367b18b0-5d3c-4d3b-84d4-e577f25a46d5 rhgb quiet amdgpu.ppfeaturemask=0xffffffff
crash_function: dc_validate_global_state
kernel:         5.5.15-200.fc31.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 15 PID: 1926 at drivers/gpu/drm/amd/amdgpu/../display/dc/dcn20/dcn20_resource.c:3070 dcn20_validate_bandwidth+0x99/0xb0 [amdgpu]
Modules linked in: rpcsec_gss_krb5 nfsv4 dns_resolver nfs lockd grace fscache xt_CHECKSUM xt_MASQUERADE nf_nat_tftp nf_conntrack_tftp tun bridge stp llc nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_REJECT nf_reject_ipv6 ip6t_rpfilter ipt_REJECT nf_reject_ipv4 xt_conntrack ebtable_nat ebtable_broute ip6table_nat ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_nat iptable_mangle iptable_raw iptable_security nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 libcrc32c ip_set nfnetlink ebtable_filter ebtables ip6table_filter ip6_tables iptable_filter lm92 vfat fat edac_mce_amd kvm_amd kvm irqbypass snd_hda_codec_realtek crct10dif_pclmul snd_hda_codec_generic crc32_pclmul ledtrig_audio snd_hda_codec_hdmi snd_hda_intel snd_intel_dspcfg snd_usb_audio snd_hda_codec ghash_clmulni_intel snd_hda_core snd_usbmidi_lib snd_rawmidi snd_hwdep snd_seq eeepc_wmi asus_wmi joydev snd_seq_device sparse_keymap rfkill snd_pcm video pcspkr wmi_bmof mxm_wmi snd_timer mc snd
 sp5100_tco k10temp i2c_piix4 ccp soundcore gpio_amdpt gpio_generic acpi_cpufreq auth_rpcgss sunrpc binfmt_misc ip_tables amdgpu amd_iommu_v2 gpu_sched ttm drm_kms_helper uas drm crc32c_intel igb usb_storage dca i2c_algo_bit nvme nvme_core wmi pinctrl_amd fuse i2c_dev
CPU: 15 PID: 1926 Comm: Xorg Not tainted 5.5.15-200.fc31.x86_64 #1
Hardware name: System manufacturer System Product Name/PRIME X470-PRO, BIOS 5406 11/13/2019
RIP: 0010:dcn20_validate_bandwidth+0x99/0xb0 [amdgpu]
Code: 00 00 00 5d 41 5c e9 f6 f5 ff ff 31 d2 f2 0f 11 85 70 21 00 00 48 89 ee 4c 89 e7 e8 e1 f5 ff ff 89 c2 22 95 b8 1d 00 00 75 04 <0f> 0b eb b3 c6 85 b8 1d 00 00 00 89 d0 eb a8 0f 1f 84 00 00 00 00
RSP: 0018:ffffa862494f7ad8 EFLAGS: 00010246
RAX: 0000000000000001 RBX: 0000000000000000 RCX: 000000000000676a
RDX: 0000000000000000 RSI: 965933debfdff886 RDI: 00000000000301a0
RBP: ffff8b1a42820000 R08: 0000000000000006 R09: 0000000000000000
R10: ffff8b1c6a700000 R11: 0000000100000001 R12: ffff8b1c6a700000
R13: ffff8b1c123e8800 R14: 0000000000000000 R15: ffff8b1a42820000
FS:  00007fd01442df00(0000) GS:ffff8b1c7ebc0000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007fd0a1d14000 CR3: 0000000769af2000 CR4: 00000000003406e0
Call Trace:
 dc_validate_global_state+0x25f/0x2d0 [amdgpu]
 amdgpu_dm_atomic_check+0x5d0/0x830 [amdgpu]
 drm_atomic_check_only+0x554/0x7e0 [drm]
 drm_atomic_commit+0x13/0x50 [drm]
 drm_atomic_connector_commit_dpms+0xd7/0x100 [drm]
 drm_mode_obj_set_property_ioctl+0x159/0x2d0 [drm]
 ? drm_connector_set_obj_prop+0x90/0x90 [drm]
 drm_connector_property_set_ioctl+0x39/0x60 [drm]
 drm_ioctl_kernel+0xaa/0xf0 [drm]
 drm_ioctl+0x208/0x390 [drm]
 ? drm_connector_set_obj_prop+0x90/0x90 [drm]
 amdgpu_drm_ioctl+0x49/0x80 [amdgpu]
 do_vfs_ioctl+0x461/0x6d0
 ksys_ioctl+0x5e/0x90
 __x64_sys_ioctl+0x16/0x20
 do_syscall_64+0x5b/0x1c0
 entry_SYSCALL_64_after_hwframe+0x44/0xa9
RIP: 0033:0x7fd0148a835b
Code: 0f 1e fa 48 8b 05 2d 9b 0c 00 64 c7 00 26 00 00 00 48 c7 c0 ff ff ff ff c3 66 0f 1f 44 00 00 f3 0f 1e fa b8 10 00 00 00 0f 05 <48> 3d 01 f0 ff ff 73 01 c3 48 8b 0d fd 9a 0c 00 f7 d8 64 89 01 48
RSP: 002b:00007ffc56de2eb8 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
RAX: ffffffffffffffda RBX: 00007ffc56de2ef0 RCX: 00007fd0148a835b
RDX: 00007ffc56de2ef0 RSI: 00000000c01064ab RDI: 000000000000000e
RBP: 00000000c01064ab R08: 0000557960a897f0 R09: 0000000000000000
R10: 0000557960a897f0 R11: 0000000000000246 R12: 0000557960c01a50
R13: 000000000000000e R14: 0000000000000000 R15: 000055795f6c25c0

Comment 4 Ben Cotton 2020-11-03 16:25:19 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Ben Cotton 2020-11-24 17:10:03 UTC
Fedora 31 changed to end-of-life (EOL) status on 2020-11-24. Fedora 31 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.